Resource

Status Page History Chart Bar Color

Modify the colors of the history chart bars on Status Page

The Status Page History Chart Bar Color Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPage
    Type
    Status Page
    Description

    Relation to Status Page Resource in which this object belongs

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of your Status Page resource where this object belongs

  • Name
    uptimePercentGreaterThanOrEqualTo
    Type
    Monitor StatusRequired
    Description

    Uptime percent greater than or equal to this value

  • Name
    barColor
    Type
    ColorRequired
    Description

    Color of the bar chart when this rule matches (#32a852 for example)

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    order
    Type
    Number
    Description

    Order / Priority of this resource

GETorPOST/api/status-page-history-chart-bar-color-rule/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page History Chart Bar Color. By default, a maximum of ten Status Page History Chart Bar Color are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-history-chart-bar-color-rule/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "barColor": true,
    "projectId": true,
    "statusPageId": true,
    "uptimePercentGreaterThanOrEqualTo": true,
    "_id": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377c8e30-28fe-11f1-b591-3fdcef396aba",
      "barColor": "#3498db",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "uptimePercentGreaterThanOrEqualTo": 100
    },
    {
      "_id": "377c8e31-28fe-11f1-b591-3fdcef396aba",
      "barColor": "#3498db",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "uptimePercentGreaterThanOrEqualTo": 100
    },
    {
      "_id": "377c8e32-28fe-11f1-b591-3fdcef396aba",
      "barColor": "#3498db",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "uptimePercentGreaterThanOrEqualTo": 100
    }
  ]
}
GETorPOST/api/status-page-history-chart-bar-color-rule/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page History Chart Bar Color by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-history-chart-bar-color-rule/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "barColor": true,
    "projectId": true,
    "statusPageId": true,
    "uptimePercentGreaterThanOrEqualTo": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "barColor": "#3498db",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
  "uptimePercentGreaterThanOrEqualTo": 100
}
POST/api/status-page-history-chart-bar-color-rule/count

Count

This endpoint allows you to retrieve the count of all your Status Page History Chart Bar Color.

Optional Request Body

Count Request

POST
/api/status-page-history-chart-bar-color-rule/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/status-page-history-chart-bar-color-rule

Create Status Page History Chart Bar Color

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-history-chart-bar-color-rule
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "barColor": "#3498db",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
    "uptimePercentGreaterThanOrEqualTo": 100,
    "createdByUser": "Example created by user"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "barColor": "#3498db",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
  "uptimePercentGreaterThanOrEqualTo": 100
}
PUT/api/status-page-history-chart-bar-color-rule/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-history-chart-bar-color-rule/:id/update-item
GET/api/status-page-history-chart-bar-color-rule/:id/update-item

Update Request

PUT
/api/status-page-history-chart-bar-color-rule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "barColor": "#3498db",
    "uptimePercentGreaterThanOrEqualTo": 100,
    "order": 100
  }
}

Response

{}
DELETE/api/status-page-history-chart-bar-color-rule/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-history-chart-bar-color-rule/:id/delete-item
GET/api/status-page-history-chart-bar-color-rule/:id/delete-item

Delete Request

DELETE
/api/status-page-history-chart-bar-color-rule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page History Chart Bar Color

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page History Chart Bar Color Rule
  • Read All Project Resources

Create Permissions

Required to create Status Page History Chart Bar Color

  • Project Owner
  • Project Admin
  • Project Member
  • Create Status Page History Chart Bar Color Rule

Update Permissions

Required to update Status Page History Chart Bar Color

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Status Page History Chart Bar Color Rule

Delete Permissions

Required to delete Status Page History Chart Bar Color

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Status Page History Chart Bar Color Rule